{{page-title this.pageTitle}}

{{#if this.couldDisplayInfoAlert}}
  <div
    class="challenge__info-alert challenge__info-alert--hide challenge__info-alert--could-show"
    tabindex="0"
    role="alert"
    aria-live="assertive"
  >
    <div class="challenge-info-alert__icon"></div>
    <p class="challenge-info-alert__title">
      {{t "pages.challenge.is-focused-challenge.info-alert.title"}}
    </p>
    <p class="challenge-info-alert__subtitle">
      {{t "pages.challenge.is-focused-challenge.info-alert.subtitle"}}
    </p>
  </div>
{{/if}}

<div class="background-banner-wrapper challenge">
  {{#if this.isFocusedChallengeAndUserHasFocusedOutOfChallenge}}
    <div class="challenge__focused-out-overlay"></div>
  {{/if}}

  <div class="challenge__banner">
    {{#if @model.assessment.isCertification}}
      <CertificationBanner
        @certificationNumber={{@model.assessment.certificationNumber}}
        @certification={{@model.assessment.certificationCourse}}
        @shouldBlurBanner={{this.shouldBlurBanner}}
      />
    {{else}}
      <AssessmentBanner @title={{@model.assessment.title}} @displayHomeLink={{this.displayHomeLink}} />
    {{/if}}
  </div>

  <main class="challenge__content rounded-panel--over-background-banner" role="main">
    <ProgressBar
      @assessment={{@model.assessment}}
      @currentChallengeNumber={{@model.currentChallengeNumber}}
      @shouldBlurProgressBar={{this.shouldBlurBanner}}
    />

    {{#if this.displayTimedChallengeInstructions}}
      <TimedChallengeInstructions
        @hasUserConfirmedWarning={{this.setUserTimedChallengeConfirmation}}
        @time={{@model.challenge.timer}}
      />
    {{/if}}

    {{#if this.displayFocusedCertificationChallengeWarning}}
      <FocusedCertificationChallengeInstructions
        @hasUserConfirmedWarning={{this.setUserFocusCertificationChallengeConfirmation}}
      />
    {{/if}}

    {{#if this.displayChallenge}}
      <Challenge::Item
        @challenge={{@model.challenge}}
        @assessment={{@model.assessment}}
        @answer={{@model.answer}}
        @timeoutChallenge={{this.timeoutChallenge}}
        @resetAllChallengeInfo={{this.resetAllChallengeInfo}}
        @resetChallengeInfoOnResume={{this.resetChallengeInfoOnResume}}
        @onFocusIntoChallenge={{fn this.setFocusedOutOfChallenge false}}
        @onFocusOutOfChallenge={{fn this.setFocusedOutOfChallenge true}}
        @onFocusOutOfWindow={{this.focusedOutOfWindow}}
        @hasFocusedOutOfWindow={{this.hasFocusedOutOfWindow}}
        @isFocusedChallengeAndUserHasFocusedOutOfChallenge={{this.isFocusedChallengeAndUserHasFocusedOutOfChallenge}}
      />
    {{/if}}
  </main>
  {{#if this.displayChallenge}}
    <div class="challenge__feedback" role="complementary">
      <FeedbackPanel @assessment={{@model.assessment}} @challenge={{@model.challenge}} />
    </div>
  {{/if}}

  {{#if @model.challenge.focused}}
    <div
      class="challenge__info-alert challenge__info-alert--hide
        {{if this.displayInfoAlertForFocusOut 'challenge__info-alert--show'}}
        {{if this.couldDisplayInfoAlert 'challenge__info-alert--could-show'}}"
      tabindex="0"
      role="alert"
      aria-live="assertive"
    >
      <div class="challenge-info-alert__icon"></div>
      <p class="challenge-info-alert__title">
        {{t "pages.challenge.is-focused-challenge.info-alert.title"}}
      </p>
      <p class="challenge-info-alert__subtitle">
        {{t "pages.challenge.is-focused-challenge.info-alert.subtitle"}}
      </p>
    </div>
  {{/if}}
</div>

{{#if this.showLevelup}}
  <LevelupNotif @level={{this.newLevel}} @competenceName={{this.competenceLeveled}} />
{{/if}}
<Footer @full="false" />